For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DiscordDashboard
DocumentationAPI ReferenceCookbook
DocumentationAPI ReferenceCookbook
  • API Reference
    • POSTStart instance
    • GETGet instance by ID
    • GETList all instances
    • GETList all browser authentication states
      • GETList available notebook kernels
      • POSTCreate new notebook
      • GETGet notebook by ID
      • POSTDelete notebook
      • POSTAdd cell to notebook
      • POSTExecute notebook cell
      • POSTExecute all cells in notebook
  • SDK Reference
    • Python SDK
    • TypeScript SDK
Logo
DiscordDashboard
API ReferenceNotebook

Execute all cells in notebook

POST
https://api.scrapybara.com/v1/instance/:instance_id/notebook/:notebook_id/execute
POST
/v1/instance/:instance_id/notebook/:notebook_id/execute
1import requests
2
3url = "https://api.scrapybara.com/v1/instance/instance_id/notebook/notebook_id/execute"
4
5payload = {}
6headers = {
7 "x-api-key": "<apiKey>",
8 "Content-Type": "application/json"
9}
10
11response = requests.post(url, json=payload, headers=headers)
12
13print(response.json())
1[
2 {
3 "id": "id",
4 "type": "code",
5 "content": "content",
6 "metadata": {
7 "key": "value"
8 },
9 "outputs": [
10 {
11 "key": "value"
12 }
13 ],
14 "execution_count": 1
15 }
16]
Was this page helpful?
Previous

Get environment variables

Next
Built with

Authentication

x-api-keystring
API Key authentication via header

Path parameters

instance_idstringRequired
notebook_idstringRequired

Request

This endpoint expects an object.
timeoutintegerOptional

Response

Successful Response
idstring
typeenum
Allowed values:
contentstring
metadatamap from strings to any
outputslist of maps from strings to any
execution_countinteger

Errors

422
Notebook Execute Request Unprocessable Entity Error